Description

Supportanfrage

wir nutzen seit einiger Zeit die adtf_debugmon.exe um die Konsole von der devenv zu trennen.

Leider haben wir dadurch die Einschränkung, dass die gut formatierte CSV Datei nicht mehr geschrieben wird.

Wir können zwar den DebugMon mit: .\adtf_debugmon.exe -logfile="tmp.txt" starten, aber der Output ist deutlich weniger brauchbar

als der direkte CSV Export des Konsolen-Services.

Welche Lösung gibt es um den Konsolen-View im separaten Prozess zu instanziieren, aber dennoch den CSV Export zu nutzen?

Kann man die Property "console_logger_outputfile" dem DebugMon übergeben? Oder einige Services in der devenv laufen lassen?

Lösung

Der Debugmon hat im Kontextmenu einen "Export" Eintrag, der erzeugt auch ein CSV File.

Aber es spricht eigentlich nichts dagegen den Console Logger Service weiterhin in der ADTF Instanz mitlaufen zu lassen und

darüber automatisiert in ein CSV File zu schreiben.

History

#1 - 2021-02-03 13:41 - hidden

- Project changed from Public Support to 30

- Topic set to ADTF::Common

- Customer set to Car.SW Org.

- Department set to G3-2

- Affected Products ADTF 2.14.3 added

#3 - 2021-02-04 15:57 - hidden

- Status changed from New to In Progress

Hi Toni,

der Debugmon hat im Kontextmenu einen "Export" Eintrag, der erzeugt auch ein CSV File.

Aber es spricht eigentlich nichts dagegen den Console Logger Service weiterhin in der ADTF Instanz mitlaufen zu lassen und darüber automatisiert in

ein CSV File zu schreiben.

Grüße,

Martin

#4 - 2021-02-17 16:30 - hidden

- Project changed from 30 to Public Support

- Subject changed from ADTF2: Ausgaben im DebugMon als CSV Export to Export CSV / logfile in combination with Debug Monitor
- Description updated

- Status changed from In Progress to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#5 - 2021-02-18 06:40 - hidden

Guten Morgen,

wir haben nach einigen ausprobieren nun "nur" den "adtf.ui.console_view" - Service aus unserer manifest entfernt. In der Kombination funktioniert der

DebugMon und das CSV Logging.

Allerdings erscheinen erst die Log-Ausgaben ab dem höchsten Runlevel im DebugMon. Sämtliche Ausgaben beim Laden der Plugins und der ersten

Init-Phasen sind nur im LOG zu finden, werden aber nicht an den DebugMon weitergereicht.

Ist das ein beabsichtiges Verhalten?!

Viele Grüße

Toni

#6 - 2021-02-18 06:53 - hidden

- Status changed from To Be Closed to In Progress

#7 - 2021-02-24 08:43 - hidden

Hi Toni,

ja, der Mailslot für den Debug Monitor wird erst beim Erzeugen des Console Services erzeugt und erst ab da die Log Messages ausgeleitet.

Toni Guenther wrote:

wir haben nach einigen ausprobieren nun "nur" den "adtf.ui.console_view" - Service aus unserer manifest entfernt. In der Kombination

funktioniert der DebugMon und das CSV Logging.

 Das Console View sollte keinen Einfluss darauf haben ob ins Log File geschrieben und/oder and den Debug Monitor gesendet wird.

Grüße,

Martin

#8 - 2021-03-04 13:44 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Toni,

benötigst du hier noch weitere Unterstützung? Ansonsten würden wir das Ticket schließen. Danke.

Grüße

Margarete

#9 - 2021-03-04 13:50 - hidden

Nein, passt alles :)

#10 - 2021-03-04 15:18 - hidden

- Status changed from Customer Feedback Required to To Be Closed

- Platform Windows 10 64bit added

#11 - 2021-07-26 13:24 - hidden

- Customer changed from Car.SW Org. to CARIAD

#12 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed

Powered by TCPDF (www.tcpdf.org)

2024-05-07 2/2

http://www.tcpdf.org

